package com.sqx.modules.post.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.post.entity.PostEntity;
import org.apache.ibatis.annotations.Mapper;


import java.util.List;
@Mapper
public interface PostMapper extends BaseMapper<PostEntity> {

    List<Object> selectPostWithUserAndCompanyByPostId();

    List<Object> selectPostOne(Integer postId);

    List<Object> findPost(String address, Integer wage, Integer exp, Integer companyPeople, String key);

    List<Object> getViewPostList(Long userId);

    List<Object> getCollectPostList(Long userId);

    List<Object> getPushPost(Long userId);
}
